//
//  ContentMainTabAsmrRepository.swift
//  SodaLive
//
//  Created by klaus on 2/22/25.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class ContentMainTabAsmrRepository {
    
    private let api = MoyaProvider<ContentApi>()
    
    func getContentMainAsmr() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(
            .getContentMainAsmr(
                isAdultContentVisible: UserDefaults.isAdultContentVisible(),
                contentType: ContentType(rawValue: UserDefaults.string(forKey: .contentPreference)) ?? ContentType.ALL
            )
        )
    }
    
    func getPopularContentByCreator(creatorId: Int) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(
            .getPopularAsmrContentByCreator(
                creatorId: creatorId,
                isAdultContentVisible: UserDefaults.isAdultContentVisible(),
                contentType: ContentType(rawValue: UserDefaults.string(forKey: .contentPreference)) ?? ContentType.ALL
            )
        )
    }
}
